=== debian/control ===
Source: nickel-codecs-ffmpeg
Section: web
Priority: optional
Maintainer: Fabien Tassin <fta@ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~chromium-team/chromium-browser/chromium-codecs-ffmpeg.head
Build-Depends: cdbs,
	debhelper (>= 5),
	quilt,
	patchutils (>= 0.2.25),
	lsb-release,
	zlib1g-dev,
	libvpx-dev,
	gyp,
	yasm (>= 0.7)
Standards-Version: 3.8.3

Package: nickel-codecs-ffmpeg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (>= 4.0.203.0~)
Conflicts: nickel-codecs-ffmpeg-extra, nickel-codecs-ffmpeg-nonfree
Replaces: nickel-codecs-ffmpeg-extra, nickel-codecs-ffmpeg-nonfree
Breaks: nickel-browser (<< 3.0.197.0~svn20090802r22252)
Description: Free ffmpeg codecs for the Nickel Browser
 Nickel is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains the multi-threaded ffmpeg codecs needed for the HTML5
 <audio> and <video> tags. Only the free ogg, vorbis and theora codecs are
 included. See nickel-codecs-ffmpeg-extra for additionnal codecs

Package: nickel-codecs-ffmpeg-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-codecs-ffmpeg (= ${binary:Version})
Conflicts: nickel-codecs-ffmpeg-extra-dbg, nickel-codecs-ffmpeg-nonfree-dbg
Replaces: nickel-codecs-ffmpeg-extra-dbg, nickel-codecs-ffmpeg-nonfree-dbg
Description: nickel-codecs-ffmpeg debug symbols
 Debug symbols for the free ffmpeg-mt codecs

Package: nickel-codecs-ffmpeg-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (>= 4.0.203.0~)
Conflicts: nickel-codecs-ffmpeg, nickel-codecs-ffmpeg-nonfree (<< 0.5+svn20100323r42310+42573+42709)
Breaks: nickel-browser (<< 3.0.197.0~svn20090802r22252)
Replaces: nickel-codecs-ffmpeg, nickel-codecs-ffmpeg-nonfree, nickel-browser
Provides: nickel-codecs-ffmpeg-nonfree
Description: Extra ffmpeg codecs for the Nickel Browser
 Nickel is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains the multi-threaded ffmpeg codecs needed for the HTML5
 <audio> and <video> tags. In addition to the patent-free ogg, vorbis and theora codecs,
 aac/ac3/mpeg4audio/h264/mov/mp3 are also included.
 See nickel-codecs-ffmpeg if you prefer only the patent-free codecs

Package: nickel-codecs-ffmpeg-extra-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-codecs-ffmpeg-extra (= ${binary:Version})
Conflicts: nickel-codecs-ffmpeg-dbg, nickel-codecs-ffmpeg-nonfree-dbg (<< 0.5+svn20100323r42310+42573+42709)
Replaces: nickel-codecs-ffmpeg-dbg, nickel-codecs-ffmpeg-nonfree-dbg
Provides: nickel-codecs-ffmpeg-nonfree-dbg
Description: nickel-codecs-ffmpeg-extra debug symbols
 Debug symbols for the extra ffmpeg-mt codecs

Package: nickel-codecs-ffmpeg-nonfree
Architecture: all
Depends: nickel-codecs-ffmpeg-extra
Description: dummy upgrade package
 This is a transitional package so nickel-codecs-ffmpeg-nonfree users
 get nickel-codecs-ffmpeg-extra on upgrade. It can be safely removed.

Package: nickel-codecs-ffmpeg-nonfree-dbg
Architecture: all
Depends: nickel-codecs-ffmpeg-extra-dbg
Description: dummy upgrade package
 This is a transitional package so nickel-codecs-ffmpeg-nonfree-dbg users
 get nickel-codecs-ffmpeg-extra-dbg on upgrade. It can be safely removed.
