## nickel-codecs-ffmpeg 0.6+svn20100904r58574+58998-1jolicloud2

=== debian/changelog ===
nickel-codecs-ffmpeg (0.6+svn20100904r58574+58998-1jolicloud2) robby-1.1; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 0.6+svn20100904r58574+58998

  [ Fabien Tassin ]
  * Imported Debian patch 0.6+svn20100904r58574+58998-
    0ubuntu1~ucd2~lucid

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 11 Oct 2010 11:49:09 +0200

chromium-codecs-ffmpeg (0.6+svn20100904r58574+58998-0ubuntu1~ucd2~lucid) lucid; urgency=low

  * Disable arm_neon to fix a FTBFS in libavcodec on Armel. Also enable
    arm_thumb on all versions of Ubuntu and extend armv7 to Maverick (needed
    when it loses its "development" name)
    - update debian/rules

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 11 Sep 2010 04:15:16 +0200
